TransportUtils (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.transport.util.TransportUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.transport.util
Class TransportUtils

    java.lang.Object
      org.hyperic.hq.transport.util.TransportUtils

    public class TransportUtils

extends java.lang.Object

Provides utility methods for the transport layer.

Method Summary
`static void` | `assertOperationsThrowException(java.lang.Class serviceInterface, java.lang.Class expectedExceptionType)` Assert that all interface operations throw the expected exception.
`static void` | `assertVoidReturnTypes(java.lang.Class serviceInterface)` Assert that the interface only contains operations with void return types.
`static java.lang.String` | `getHttpTransport(boolean encrypted)` Return the HTTP transport name.
`static boolean` | `isOneWayInvocation(org.jboss.remoting.InvocationRequest invocation)` Determine if the invocation request represents a one-way (asynchronous) invocation.
`static void` | `setOneWayInvocation(org.jboss.remoting.InvocationRequest invocation)` Set the invocation request as one-way (asynchronous).
`static java.lang.Class` | `tryLoadUnidirectionalTransportPollerClient()` Attempt to load the poller client implementation from the context class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isOneWayInvocation

    public static boolean isOneWayInvocation(org.jboss.remoting.InvocationRequest invocation)

  Determine if the invocation request represents a one-way (asynchronous) invocation.

  Parameters:
    `invocation` - The invocation request.
  Returns:
    `true` if this is a one-way invocation.

### setOneWayInvocation

    public static void setOneWayInvocation(org.jboss.remoting.InvocationRequest invocation)

  Set the invocation request as one-way (asynchronous).

  Parameters:
    `invocation` - The invocation request.

### getHttpTransport

    public static java.lang.String getHttpTransport(boolean encrypted)

  Return the HTTP transport name.

  Parameters:
    `encrypted` - `true` if the transport is encrypted.
  Returns:
    The HTTP transport name.

### assertVoidReturnTypes

    public static void assertVoidReturnTypes(java.lang.Class serviceInterface)

  Assert that the interface only contains operations with void return types.

  Parameters:
    `serviceInterface` - The interface to inspect.
  Throws:
    `java.lang.IllegalArgumentException` - if a non-void return type operation is found.

### assertOperationsThrowException

    public static void assertOperationsThrowException(java.lang.Class serviceInterface,
                                                      java.lang.Class expectedExceptionType)

  Assert that all interface operations throw the expected exception.

  Parameters:
    `serviceInterface` - The interface to inspect.
    `expectedExceptionType` - The expected exception type.
  Throws:
    `java.lang.IllegalArgumentException` - if an interface operation does not throw the expected exception.

### tryLoadUnidirectionalTransportPollerClient

    public static java.lang.Class tryLoadUnidirectionalTransportPollerClient()
                                                                      throws java.lang.ClassNotFoundException

  Attempt to load the poller client implementation from the context class loader.

  Returns:
    The class object.
  Throws:
    `java.lang.ClassNotFoundException` - if the poller client implementation cannot be found. This can happen if invoked from a .ORG instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.